pro plotinfo,plotstr

;define the plot structure
pstr = {PLOT_INFO,$
        xrange: fltarr(2),$
        yrange: fltarr(2),$
        log:    0,$             ;0 for linear, 1 for log
        name:   ''}

plotstr = replicate(pstr,12)

plotstr(0).name = 'DEFAULT'
plotstr(0).log = 0
plotstr(0).xrange = [0,0]
plotstr(0).yrange = [0,0]

plotstr(1).name = 'O3'
plotstr(1).log = 1
plotstr(1).xrange = [1.e10,1.e14]
plotstr(1).yrange = [0,60]

plotstr(2).name = 'NO2'
plotstr(2).log = 1
plotstr(2).xrange = [1.e7,1.e10]
plotstr(2).yrange = [15,45]

plotstr(3:6).name = ['EXT1020','EXT525','EXT452','EXT386']
plotstr(3:6).log = 1
plotstr(3:6).xrange = [1.e-8,1.e-0]
plotstr(3:6).yrange = [0,40]

plotstr(7).name = 'DENSITY'
plotstr(7).log = 1
plotstr(7).xrange = [1.e15,1.e20]
plotstr(7).yrange = [0,70]

plotstr(8).name = 'H2O'
plotstr(8).log = 0
plotstr(8).xrange = [0,1.e-5]
plotstr(8).yrange = [5,45]

plotstr(9).name = 'DENS_MID_ATM'
plotstr(9).log = 1
plotstr(9).xrange = [1.e15,1.e17]
plotstr(9).yrange = [40,75]

plotstr(10).name = 'SURFDEN'
plotstr(10).log = 0
plotstr(10).xrange = [0,20]
plotstr(10).yrange = [0,40]

plotstr(11).name = 'RADIUS'
plotstr(11).log = 0
plotstr(11).xrange = [0,0.6]
plotstr(11).yrange = [0,40]

return
end







