pro reader_event,ev
common savvars,version,compare,vers_path,comp_path
;if the cancel or ok buttons were clicked, exit the widget
if ev.quit eq 1 then begin
    if !d.name eq 'PS' then device,/close
    widget_control,ev.top,/destroy
endif
if ev.tag eq 'PS' then begin
    set_graph,/ps,/land
endif
;if the BROWSE button is set, then get a browse box
if ev.tag eq 'VERSION' then begin
    if ev.value eq 0 then begin
        version = dialog_pickfile(/must_exist,/read,filter='*SPEC*',$
                                  path=vers_path,get_path=vers_path)
    endif
endif else if ev.tag eq 'COMPARE' then begin
    if ev.value eq 1 then begin
        compare = dialog_pickfile(/must_exist,/read,filter='*SPEC*',$
                                  path=comp_path,get_path=comp_path)
    endif
endif else if ev.tag eq 'OK' then begin
    widget_control,ev.id,get_value=form
;get the menus again
    menus,mspecies,mversion,mmonth,myear,mgrouping
;get species, version and date from the menus and the form
    spec = mspecies(form.species)
    if form.version ne 0 then version = mversion(form.version)
    date = myear(form.year)*100L + form.month + 1
    if form.day ne 0 then date = date*100L+form.day
;get the grouping option
    grp = strupcase(mgrouping(form.grouping))
    mean = 0 & median = 0 & all = 0
    if grp eq 'MEAN' then begin
        mean = 1 
    endif else if grp eq 'MEDIAN' then begin
        median = 1
    endif else if grp eq 'ALL' then begin
        all = 1
    endif

;check type
    type = 0
    if form.type(0) xor form.type(1) then begin
        if form.type(0) then type = 'SR' else type = 'SS'
    endif

;check for compare version
    if form.compare ne 0 and form.compare ne 1 then begin
        compare = mversion(form.compare - 1)
    endif

;call sageprof
;    print,'calling sageprof'
;    print,'sageprof,spec=',spec,',date=',date,',vers=',version
;    print,',comp=',compare,
;    print,',type=',type,',mean=',mean
;    print,',median=',median,',mean=',mean,',all=',all
;    print,',event=',form.event,',lat=',form.latitude,',dlat=',form.dlat
;    print,',lon=',form.longitude,',dlon=',form.dlon,',thresh=',form.threshold
;    print,',pdif=',form.dif(0),',absdif=',form.dif(1)
    sageprof,spec=spec,date=date,vers=version,comp=compare,type=type,$
             mean=mean,median=median,all=all,$
             event=form.event,lat=form.latitude,dlat=form.dlat,$
             lon=form.longitude,dlon=form.dlon,thresh=form.threshold,$
             pdif=form.dif(0),absdif=form.dif(1)
endif else begin
endelse
end





