;+
;Sage_Reader_form: an IDL widget for reading SAGE II profiles.
;-

pro menus,species,version,month,year,grouping,day,event
;generate the menus to use on the form
species = ['O3','NO2','ext386','ext452','ext525','ext1020','H2O']


;for version get the user's version shortcuts
setshortcuts,shortcuts
;check that shortcuts is set; if not it will be a scalar
sz = size(shortcuts)
tp = sz(n_elements(sz)-2)
if tp eq 8 then begin
    version = ['Browse',reverse(shortcuts.version)]
endif else begin
    version = 'Browse'
endelse

month = ['Jan','Feb','Mar','Apr','May','Jun',$
         'Jul','Aug','Sep','Oct','Nov','Dec']

year = indgen(18)+1984

day = ['All',strtrim(indgen(31)+1,2)]
 
event = ['All',strtrim(indgen(30)+1,2)]

grouping = ['Singly','All','Mean','Median']

end

pro sage_reader_form,form

menus,species,version,month,year,grouping,day,event
species = strjoin(species,'|')
compare = ['None',version] & compare = strjoin(compare,'|')
version = strjoin(version,'|')
month = strjoin(month,'|')
day = strjoin(day,'|')
year = string(year,form='(17(i4,"|"),i4)')
event = strjoin(event,'|')
grouping = strjoin(grouping,'|')
;create the description for the form

desc = [ $
         '0, label, SAGE II Profile Generator, center',$
         '1, base,, column, frame',$
            '1, base,, row',$
               '1, base,, column, frame',$
                  '0, droplist, '+species+$
                    ',set_value=0, label_left=Species, tag=Species',$
                  '1, base,, row',$
                     '2, droplist, '+version+$
                         ',set_value=1, label_left=Version, tag=Version',$
                  '1, base,, row',$
                     '2, droplist, '+compare+$
                         ',set_value=0, label_left=Comparison Version, '+$
                            'tag=Compare',$
                  '3, base,, row',$
                     '0, droplist, '+year+', set_value=0, label_top=Year,'+$
                       'tag=Year',$
                     '0, droplist, '+month+$
                       ',set_value=0, label_top=Month, tag=Month',$
                     '2, droplist, '+day+$
                       ',set_value=0, label_top=Day, tag=Day',$
               '1, base,, column, frame',$
                  '1, base,, row',$
                     '0, button, SR|SS, row, tag=Type',$
;                     '2, integer, 0, label_left=event number,
;                     tag=Event',$
                      '2, droplist, '+event+$
                         ',set_value=0, label_left=Event number, tag=Event',$
                  '1, base,, row',$
                      '0, float, 0.0, label_left=latitude, tag=Latitude',$
                      '2, float, 90.0, label_left=dlat, tag=Dlat',$
                  '1, base,, row',$
                      '0, float, 0.0, label_left=longitude, tag=longitude',$
                      '2, float, 180.0, label_left=dlon, tag=dlon',$
                  '2, integer, 300, label_left=Error bar threshold (%), tag=threshold',$
               '3, base,, column, frame',$
                  '0, button, pdif|absdif, frame, tag=dif',$
                  '2, button, '+grouping+', column, exclusive, tag=grouping,'+$
                      'set_value=0',$
            '1, base,, row, center',$
               '0, button, OK, tag=OK',$
               '0, button, PS Print,tag=PS',$
               '2, button, Close, quit']


;make a base widget to hold the form widget
bb = widget_base(title='SAGE II Profile Generator')
form = cw_form(bb,desc,/column,uname='Form')
widget_control,bb,/realize
xmanager,'Reader',bb;,/no_block

end
;---------






pro sage_reader
sage_reader_form,form

;stop
end
